function onBegin()
	disableRetry()
	disableMovement()
	walkTo (33564,false,0.5,false)
	wait (1.5)
	setFlag(flower_flag,true)
	walk (-20,true, 0.5, false)
	
end

function onEnd(level, wasSkipped)
	if wasSkipped then
		enableRetry()
		enableMovement()
	end
end